<bugID>773162<Summary>remove unnecessary __exposedProps__ from frameworker</Summary><Description>from https://bugzilla.mozilla.org/show_bug.cgi?id=770679#c2:

"""
I do not understand why would you need these __exposedProps__ here and elsewhere.
This code should live in the sandbox and sandbox should have a content principal (not a priviledged/chrome one). We end up calling workerWindow.postMessage, which should be a using exactly same principal and still a content one. I thought __exposedProps__ was only used for chrome objects exposed to content.
"""

Note however that some __exposedProps__ probably *will* need to remain - eg, the "client port" is used by, eg, the sidebar content, but it probably can be removed from the "worker port".

I intent to not bother with this until some UI pieces land, so the client ports are better exercised and we can get a more definitive answer on which ones are necessary and which ones are not.</Description></bugID>